﻿<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>Simple Blog Engine - GoCoCMS</title>
    <!-- Bootstrap core CSS -->
    <link href="~/lib/bootstrap/css/bootstrap.css" rel="stylesheet" />

    <!-- Custom styles for this template -->
    <link asp-append-version="true" href="~/css/site.css" rel="stylesheet" />
</head>
<body>
    <!-- Navigation -->
    @await Component.InvokeAsync("TopNavigation")

    <!-- Page Content -->
    <div class="container">
        <div class="row">
            <!-- Blog Entries Column -->
            <div class="col-md-8">
                @RenderBody()
            </div>
            <!-- Sidebar Widgets Column -->
            <div class="col-md-4">

                <!-- Search Widget -->
                @await Component.InvokeAsync("Search")

                <!-- Categories Widget -->
                @await Component.InvokeAsync("Category")

                <!-- Recent post Widget -->
                @await Component.InvokeAsync("RecentPost")
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container -->
    <!-- Footer -->
    @await Component.InvokeAsync("Footer")

    <!-- Bootstrap core JavaScript -->
    <script src="~/lib/jquery/jquery.js"></script>
    <script src="~/lib/bootstrap/js/bootstrap.js"></script>
    @RenderSection("scripts", required: false)
</body>
</html>
